import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:test_widgets_with_size/src/device.dart';
import 'package:test_widgets_with_size/src/utils.dart';

void main() {
  test(
    'getDevicePixelRatio',
    () {
      expect(getDevicePixelRatio(Device.iPhone12ProMax), 3);
      expect(getDevicePixelRatio(Device.iPhone12Pro), 3);
      expect(getDevicePixelRatio(Device.iPhone12), 3);
      expect(getDevicePixelRatio(Device.iPhone12Mini), 3);
      expect(getDevicePixelRatio(Device.iPhoneSE), 2);
      expect(getDevicePixelRatio(Device.iPhone11ProMax), 3);
      expect(getDevicePixelRatio(Device.iPhone11XSMax), 3);
      expect(getDevicePixelRatio(Device.iPhone11XR), 3);
      expect(getDevicePixelRatio(Device.iPhone11), 3);
      expect(getDevicePixelRatio(Device.iPhoneX), 3);
      expect(getDevicePixelRatio(Device.iPhoneXS), 3);
      expect(getDevicePixelRatio(Device.iPhone11Pro), 3);
      expect(getDevicePixelRatio(Device.iPhone8), 2);
      expect(getDevicePixelRatio(Device.iPhone7), 2);
      expect(getDevicePixelRatio(Device.iPhone8Plus), 3);
      expect(getDevicePixelRatio(Device.iPhone7Plus), 3);
      expect(getDevicePixelRatio(Device.iPhone6SPlus), 3);
      expect(getDevicePixelRatio(Device.iPhoneSE2), 2);
      expect(getDevicePixelRatio(Device.iPhone6S), 2);
      expect(getDevicePixelRatio(Device.iPhone6), 2);
      expect(getDevicePixelRatio(Device.iPodTouch), 2);
      expect(getDevicePixelRatio(Device.lgG5), 4);
      expect(getDevicePixelRatio(Device.lgG4), 4);
      expect(getDevicePixelRatio(Device.lgG3), 4);
      expect(getDevicePixelRatio(Device.lgOptimusG), 2);
      expect(getDevicePixelRatio(Device.lgNexus5), 3);
      expect(getDevicePixelRatio(Device.lgNexus4), 2);
      expect(getDevicePixelRatio(Device.samsungGalaxyS9Plus), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyS9), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyS8Plus), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyS8), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyS7Edge), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyS7), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyS6), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyS5), 3);
      expect(getDevicePixelRatio(Device.samsungGalaxyS4), 3);
      expect(getDevicePixelRatio(Device.samsungGalaxyNexus), 2);
      expect(getDevicePixelRatio(Device.samsungGalaxyNote8), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyNote4), 4);
      expect(getDevicePixelRatio(Device.samsungGalaxyNote3), 3);
      expect(getDevicePixelRatio(Device.samsungGalaxyNote2), 2);
      expect(getDevicePixelRatio(Device.samsungGalaxyNote), 2);
      expect(getDevicePixelRatio(Device.microsoftLumia1520), 2.5);
      expect(getDevicePixelRatio(Device.microsoftLumia1020), 2.4);
      expect(getDevicePixelRatio(Device.microsoftLumia925), 2.4);
      expect(getDevicePixelRatio(Device.microsoftLumia920), 2.4);
      expect(getDevicePixelRatio(Device.microsoftLumia830), 2);
      expect(getDevicePixelRatio(Device.microsoftLumia620), 1.5);
      expect(getDevicePixelRatio(Device.motorolaNexus6), 3.5);
      expect(getDevicePixelRatio(Device.htcOne), 3);
      expect(getDevicePixelRatio(Device.htc8X), 3);
      expect(getDevicePixelRatio(Device.htcEvo3D), 1.5);
      expect(getDevicePixelRatio(Device.sonyXperiaZ3), 2);
      expect(getDevicePixelRatio(Device.sonyXperiaZ), 2);
      expect(getDevicePixelRatio(Device.sonyXperiaS), 2);
      expect(getDevicePixelRatio(Device.sonyXperiaP), 1.5);
      expect(getDevicePixelRatio(Device.xyaomiRedmiNote8T), 2.75);
      expect(getDevicePixelRatio(Device.xyaomiRedmiNote6), 2.75);
      expect(getDevicePixelRatio(Device.xyaomiRedmiNote5), 2.75);
      expect(getDevicePixelRatio(Device.xyaomiMi4), 3);
      expect(getDevicePixelRatio(Device.xyaomiMi3), 3);
      expect(getDevicePixelRatio(Device.lenovoK900), 3);
    },
  );

  test(
    'getDeviceSize',
    () {
      expect(getDeviceSize(Device.iPhone12ProMax), const Size(428, 926));
      expect(getDeviceSize(Device.iPhone12Pro), const Size(390, 844));
      expect(getDeviceSize(Device.iPhone12), const Size(390, 844));
      expect(getDeviceSize(Device.iPhone12Mini), const Size(375, 812));
      expect(getDeviceSize(Device.iPhoneSE), const Size(375, 667));
      expect(getDeviceSize(Device.iPhone11ProMax), const Size(414, 896));
      expect(getDeviceSize(Device.iPhone11XSMax), const Size(414, 896));
      expect(getDeviceSize(Device.iPhone11XR), const Size(414, 896));
      expect(getDeviceSize(Device.iPhone11), const Size(414, 896));
      expect(getDeviceSize(Device.iPhoneX), const Size(375, 812));
      expect(getDeviceSize(Device.iPhoneXS), const Size(375, 812));
      expect(getDeviceSize(Device.iPhone11Pro), const Size(375, 812));
      expect(getDeviceSize(Device.iPhone8), const Size(375, 667));
      expect(getDeviceSize(Device.iPhone7), const Size(375, 667));
      expect(getDeviceSize(Device.iPhone8Plus), const Size(414, 735));
      expect(getDeviceSize(Device.iPhone7Plus), const Size(414, 735));
      expect(getDeviceSize(Device.iPhone6SPlus), const Size(414, 735));
      expect(getDeviceSize(Device.iPhoneSE2), const Size(375, 667));
      expect(getDeviceSize(Device.iPhone6S), const Size(375, 667));
      expect(getDeviceSize(Device.iPhone6), const Size(375, 667));
      expect(getDeviceSize(Device.iPodTouch), const Size(320, 568));
      expect(getDeviceSize(Device.lgG5), const Size(360, 640));
      expect(getDeviceSize(Device.lgG4), const Size(360, 640));
      expect(getDeviceSize(Device.lgG3), const Size(360, 640));
      expect(getDeviceSize(Device.lgOptimusG), const Size(384, 640));
      expect(getDeviceSize(Device.lgNexus5), const Size(360, 640));
      expect(getDeviceSize(Device.lgNexus4), const Size(384, 640));
      expect(getDeviceSize(Device.samsungGalaxyS9Plus), const Size(360, 740));
      expect(getDeviceSize(Device.samsungGalaxyS9), const Size(360, 740));
      expect(getDeviceSize(Device.samsungGalaxyS8Plus), const Size(360, 740));
      expect(getDeviceSize(Device.samsungGalaxyS8), const Size(360, 740));
      expect(getDeviceSize(Device.samsungGalaxyS7Edge), const Size(360, 640));
      expect(getDeviceSize(Device.samsungGalaxyS7), const Size(360, 640));
      expect(getDeviceSize(Device.samsungGalaxyS6), const Size(360, 640));
      expect(getDeviceSize(Device.samsungGalaxyS5), const Size(360, 640));
      expect(getDeviceSize(Device.samsungGalaxyS4), const Size(360, 640));
      expect(getDeviceSize(Device.samsungGalaxyNexus), const Size(360, 600));
      expect(getDeviceSize(Device.samsungGalaxyNote8), const Size(360, 740));
      expect(getDeviceSize(Device.samsungGalaxyNote4), const Size(360, 640));
      expect(getDeviceSize(Device.samsungGalaxyNote3), const Size(360, 640));
      expect(getDeviceSize(Device.samsungGalaxyNote2), const Size(360, 640));
      expect(getDeviceSize(Device.samsungGalaxyNote), const Size(400, 640));
      expect(getDeviceSize(Device.microsoftLumia1520), const Size(432, 768));
      expect(getDeviceSize(Device.microsoftLumia1020), const Size(320, 480));
      expect(getDeviceSize(Device.microsoftLumia925), const Size(320, 480));
      expect(getDeviceSize(Device.microsoftLumia920), const Size(320, 480));
      expect(getDeviceSize(Device.microsoftLumia830), const Size(320, 480));
      expect(getDeviceSize(Device.microsoftLumia620), const Size(320, 480));
      expect(getDeviceSize(Device.motorolaNexus6), const Size(428, 926));
      expect(getDeviceSize(Device.htcOne), const Size(360, 640));
      expect(getDeviceSize(Device.htc8X), const Size(320, 480));
      expect(getDeviceSize(Device.htcEvo3D), const Size(360, 640));
      expect(getDeviceSize(Device.sonyXperiaZ3), const Size(360, 598));
      expect(getDeviceSize(Device.sonyXperiaZ), const Size(360, 640));
      expect(getDeviceSize(Device.sonyXperiaS), const Size(360, 640));
      expect(getDeviceSize(Device.sonyXperiaP), const Size(360, 640));
      expect(getDeviceSize(Device.xyaomiRedmiNote8T), const Size(393, 775));
      expect(getDeviceSize(Device.xyaomiRedmiNote6), const Size(393, 739));
      expect(getDeviceSize(Device.xyaomiRedmiNote5), const Size(393, 739));
      expect(getDeviceSize(Device.xyaomiMi4), const Size(360, 640));
      expect(getDeviceSize(Device.xyaomiMi3), const Size(360, 640));
      expect(getDeviceSize(Device.lenovoK900), const Size(360, 640));
    },
  );
}
